This project is read-only.

Migrate from Goblin3.5 / AlvarWrapper1.4 to Goblin4.1 / AlvarWrapper2.0

Jul 19, 2012 at 9:24 AM

Hi!

I have an application developed in VisualStudio 2008 using Goblin XNA 3.5 and AlvarWrapper 1.4 that I need to migrate to Alvar new version.

Is it possible to make a migration by remplacing the .dll files (GoblinXNA.dll,AlvarWrapper.dll,alvar2.0.dll,etc.) or should I make a new development in VisualStudio 2010 with the new libraries?

I'm sorry because of my english level. 

Thanks!

Coordinator
Jul 20, 2012 at 9:54 AM

You can't migrate by simply replacing the dlls since the underlining technology (XNA 4.0) is completely different.

Also, there are some API changes between v.3.x versions and v.4.x versions. You should look at the new tutorials and migrate your project line by line or simply rewrite it if you don't have lots of codes.

Ohan